### Class

# Snapd Link

since: 1.69

#### Description [src]

    final class Snapd.Link : GObject.Object
    {
      /* No available fields */
    }

`SnapdLink` contains link information.

Available since: 1.69

#### Ancestors

- GObject

#### Instance methods

###### snapd_link_get_url_type

No description available.

###### snapd_link_get_urls

Get the list of URL for this link, e.g. [ “mailto:developer@example.com”, “discord.gg/example” ].

since: 1.69

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Link:type

No description available.

###### Snapd.Link:urls

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdLinkClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.